.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2014 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
deb \- Format des paquets binaires Debian
.SH SYNOPSIS
\fInom\-du\-fichier\fP\fB.deb\fP
.SH DESCRIPTION
Le format \fB.deb\fP est le format des paquets binaires de Debian. Il est
compatible depuis la version 0.93.76 de dpkg, et il est généré par défaut
depuis les versions 1.2.0 de dpkg et 1.1.1elf (constructions i386/ELF).
.PP
Le format décrit ici est utilisé depuis la version 0.93 de Debian\ ; les
détails concernant le vieux format sont consultables dans \fBdeb\-old\fP(5).
.SH FORMAT
Ce fichier est une archive \fBar\fP avec une valeur magique de
\fB!<arch>\fP. Seul le format commun \fBar\fP est géré, sans extension
pour les noms longs de fichiers, mais avec optionnellement un caractère
«\ /\ » final, ce qui limite leur longueur utile à 15 caractères (sur les 16
autorisés). Les tailles de fichiers sont limitées à 10 chiffres décimaux
ASCII, ce qui permet d'utiliser des fichiers membres d'une taille jusqu'à
environ 9536,74 Mio.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (only the new style long
pathnames and long linknames, supported since dpkg 1.4.1.17), and the POSIX
ustar format (long names supported since dpkg 1.15.0).  Unrecognized tar
typeflags are considered an error.  Each tar entry size inside a tar archive
is limited to 11 ASCII octal digits, allowing for up to 8 GiB tar entries.
.PP
Le premier membre est nommé \fBdebian\-binary\fP et contient une succession de
lignes, séparées par des caractères saut de ligne. Pour le moment, une seule
ligne est présente\ : le numéro de version du format, \fB2.0\fP à l'heure où ce
document a été écrit. Les programmes lisant des archives Debian récentes
doivent être préparés à une augmentation du numéro de version mineur et à la
présence de nouvelles lignes, et doivent les ignorer si tel est le cas.
.PP
Si le numéro de version majeur a changé, cela signifie qu'une modification
entraînant une incompatibilité entre les versions a été effectuée, et le
programme doit alors s'arrêter. Si ce n'est pas le cas, le programme doit
être en mesure de continuer à traiter correctement le fichier, à moins qu'il
ne rencontre un membre non reconnu dans l'archive (excepté à la fin de cette
dernière), comme décrit ci\-dessous.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information. The control tarball may optionally contain an entry for ‘\fB.\fP’,
the current directory.
.PP
Le troisième et dernier membre obligatoire est appelé \fBdata.tar\fP. Il
contient le système de fichiers sous forme d'une archive tar, soit non
compressée (gérée depuis dpkg 1.10.24) ou compressée avec gzip (avec
extension \fB.gz\fP), xz (avec extensions \fB.xz\fP, gérée depuis dpkg 1.15.6),
bzip2 (avec extensions \fB.bz2\fP, gérée depuis dpkg 1.10.24) ou lzma (avec
extension \fB.lzma\fP, gérée depuis dpkg 1.13.25).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
Les nouveaux membres qui ne pourront pas être ignorés sans conséquence
seront insérés avant \fBdata.tar\fP avec des noms préfixés par quelque chose
d'autre qu'un caractère de soulignement, ou impliqueront plus probablement
une incrémentation du numéro majeur de version.
.SH "TYPE DE SUPPORT"
.SS Actuel
application/vnd.debian.binary\-package
.SS Obsolète
application/x\-debian\-package
.br
application/x\-deb
.SH "VOIR AUSSI"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
